// import request from '@/utils/requestUC'
// import request1 from '@/utils/request'
const baseURL = window.GLOBAL_CONFIG.uc
// 用户信息
export const user_list = (data = {}) =>
  request({
    baseURL,
    url: '/user/main/index',
    data,
  })
export const user_edit = (data = {}) =>
  request({
    baseURL,
    url: '/user/main/edit',
    data,
  })
export const user_detail = (data = {}) =>
  request({
    baseURL,
    url: '/user/main/detail',
    data,
  })
// 家庭成员信息
export const family_list = (data = {}) => {
  return request({ baseURL, url: '/user/family/index', data })
}
// 工作经历
export const work_list = (data = {}) => {
  return request({ baseURL, url: '/user/working/index', data })
}

// 获奖荣誉
export const honor_list = (data = {}) => {
  return request({ baseURL, url: '/user/honor/index', data })
}
// 地区
export const area_list = (data = {}) => {
  return request({ baseURL, url: '/area/main/index', data })
}

// 部门
export const org_list = (data = {}) => {
  return request({ url: '/user/org/index', data })
}

export const org_tree_list = (data = {}) => {
  return request({ url: '/user/org/list_tree', data })
}

// 学校
export const school_list = (data = {}) => {
  return request({ baseURL, url: '/school/main/index', data })
}
// 身份
export const role_list = (data = {}) => {
  return request({ baseURL, url: '/user/main/role', data })
}
// 变更角色（校级）
export const role_school = (data = {}) => {
  return request({ baseURL, url: '/user/main/change_role', data })
}
// 变更角色（区域）
export const role_area = (data = {}) => {
  return request({ baseURL, url: '/user/main/change_role', data })
}
// 启用状态
export const change_status = (data = {}) => {
  return request({ baseURL, url: '/user/main/change_status', data })
}
// 成员
export const org_member_add = (data = {}) => {
  return request({ url: '/user/org_member/add', data })
}

export const org_member_list = (data = {}) => {
  return request({ url: '/user/org_member/index', data })
}

export const org_member_delete = (data = {}) => {
  return request({ url: '/user/org_member/delete', data })
}
